import java.time.Duration;
import java.time.LocalTime;

public class Aula {
  private String professor;
  private String disciplina;
  private LocalTime horarioDeInicio;
  private Duration tempoDeAula;
  private int numeroDeAlunos;
  
  static String escola;

  public String getProfessor() {
    return professor;
  }

  public void setProfessor(String professor) {
    this.professor = professor;
  }

  public String getDisciplina() {
    return disciplina;
  }

  public void setDisciplina(String disciplina) {
    this.disciplina = disciplina;
  }

  public LocalTime getHorarioDeInicio() {
    return horarioDeInicio;
  }

  public void setHorarioDeInicio(LocalTime horarioDeInicio) {
    this.horarioDeInicio = horarioDeInicio;
  }

  public Duration getTempoDeAula() {
    return tempoDeAula;
  }

  public void setTempoDeAula(Duration tempoDeAula) {
    this.tempoDeAula = tempoDeAula;
  }

  public int getNumeroDeAlunos() {
    return numeroDeAlunos;
  }

  public void setNumeroDeAlunos(int novoNumero) {
    if (novoNumero >= 0) {
      numeroDeAlunos = novoNumero;
    }
  }

  public void darAula() throws InterruptedException {
    System.out.println("Olá, sou " + professor + " e vou dar a aula de " + disciplina + "!");
    System.out.println("*** O professor começou a falar.... ***");

    // Dando a aula...
    Thread.sleep(tempoDeAula.toMillis());

    System.out.println("Pronto, liberados!");
  }
}
